var ui = {};
ui.largemode = false;

ui.togglePanel = function(pSide){
	if(pSide == 'left'){
		document.getElementById('sidepanel-left').collapsed = !document.getElementById('sidepanel-left').collapsed;
		document.getElementById('split-left').collapsed = !document.getElementById('split-left').collapsed;
	}
	else if(pSide == 'right'){
		document.getElementById('sidepanel-right').collapsed = !document.getElementById('sidepanel-right').collapsed;
		document.getElementById('split-right').collapsed = !document.getElementById('split-right').collapsed;
	}
	else if(pSide == 'calendar'){
		document.getElementById('timemachine').collapsed = !document.getElementById('timemachine').collapsed;
	}
}
ui.toggleLargeMode = function(){
	if(!this.largemode){
		document.getElementById('sidepanel-left').collapsed = true;
		document.getElementById('split-left').collapsed = true;
		document.getElementById('sidepanel-right').collapsed = true;
		document.getElementById('split-right').collapsed = true;
		this.largemode = true;
	}
	else{
		document.getElementById('sidepanel-left').collapsed = false;
		document.getElementById('split-left').collapsed = false;
		document.getElementById('sidepanel-right').collapsed = false;
		document.getElementById('split-right').collapsed = false;
		this.largemode = false;		
	}
}
ui.showPanel = function(pSide){
	if(pSide == 'left'){
		document.getElementById('sidepanel-left').collapsed = false;
		document.getElementById('split-left').collapsed = false;
	}
	else if(pSide == 'right'){
		document.getElementById('sidepanel-right').collapsed = false;
		document.getElementById('split-right').collapsed = false;
	}
	else if(pSide == 'calendar'){
		document.getElementById('timemachine').collapsed = false;
	}
}
ui.hidePanel = function(pSide){
	if(pSide == 'left'){
		document.getElementById('sidepanel-left').collapsed = true;
		document.getElementById('split-left').collapsed = true;
	}
	else if(pSide == 'right'){
		document.getElementById('sidepanel-right').collapsed = true;
		document.getElementById('split-right').collapsed = true;
	}
	else if(pSide == 'calendar'){
		document.getElementById('timemachine').collapsed = true;
	}
}
ui.reset = function(){
	document.getElementById('sidepanel-left').collapsed = false;
	document.getElementById('split-left').collapsed = false;
	document.getElementById('sidepanel-right').collapsed = false;
	document.getElementById('split-right').collapsed = false;
	document.getElementById('timemachine').collapsed = true;
}