var EXPORTED_SYMBOLS = [ "ut" ];

var ut = {
	console : function(msg) {
		var consoleService = Components.classes["@mozilla.org/consoleservice;1"]
				.getService(Components.interfaces.nsIConsoleService);
		consoleService.logStringMessage(msg);
	},
	getXml : function(obj){
		var s = new XMLSerializer();
		var str = s.serializeToString(obj);
		return str;
	},
	prompt : function(title, msg) {
		var promptService = Components.classes["@mozilla.org/embedcomp/prompt-service;1"]
				.getService(Components.interfaces.nsIPromptService);
		promptService.alert(window, title, msg);
	},
	listProperties : function(obj) {
		var strObj = "";
		for (att in obj) {
			str += att + ": " + this.strings[att] + "\n";
		}
		this.console(str);
	},
	checkLength : function(str2chck, maxlength, minlength){
		var len = str2chck.length;
		if(len <= maxlength && len >= minlength) return true;
		else return false; 
	},
	checkMail : function(str2chck){
		var exp=new RegExp("[a-zA-Z0-9\-_]+[a-zA-Z0-9\.\-_]*@[a-zA-Z0-9\-_]+\.[a-zA-Z\.\-_]{1,}[a-zA-Z\-_]+","g");
		if(exp.test(str2chck)) return true;
		else return false;
	}
};

function NSResolver(prefix) {
	var nsURI = "";
	  switch(prefix){
		  case 'html' 	: nsURI = 'http://www.w3.org/1999/xhtml';					break;
		  case 'foaf' 	: nsURI = 'http://xmlns.com/foaf/0.1/'; 					break;
		  case 'dc' 	: nsURI = 'http://purl.org/dc/elements/1.1/'; 				break;
		  case 'rdf' 	: nsURI = 'http://www.w3.org/1999/02/22-rdf-syntax-ns#'; 	break;
		  case 'rdfs' 	: nsURI = 'http://www.w3.org/2000/01/rdf-schema#'; 			break;
		  default : 	  return null;
	  }
	  return nsURI;
}
